commit:     010eb71a62b94e91bae1e08e57103eb7aa03d047
Author:     Nelo-T. Wallus <nelo <AT> wallus <DOT> de>
AuthorDate: Sun Apr 15 09:21:45 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed May  2 17:05:00 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=010eb71a

dev-python/flexmock: Initial commit on v0.10.2

Package-Manager: Portage-2.3.26, Repoman-2.3.7

 dev-python/flexmock/Manifest               |  1 +
 dev-python/flexmock/flexmock-0.10.2.ebuild | 33 ++++++++++++++++++++++++++++++
 dev-python/flexmock/metadata.xml           | 20 ++++++++++++++++++
 3 files changed, 54 insertions(+)

diff --git a/dev-python/flexmock/Manifest b/dev-python/flexmock/Manifest
new file mode 100644
index 00000000000..3d1cb4b6979
--- /dev/null
+++ b/dev-python/flexmock/Manifest
@@ -0,0 +1 @@
+DIST flexmock-0.10.2.tar.gz 44425 BLAKE2B 
e49db5b7a4a739f72a2560c52d0493cc284641f7c54d11e67a4c40ae3681ed2ca22fdc17c9f8ffc667bef409e1ecb5e36acdcd73a968984a38992927ff7c416f
 SHA512 
6824da47af260a93ad685b66bcbd2d9a93f98eec218242e0dd9ef885594d9218e4c7170c832a0b3ea3cf201896ec1efc2afacbffe1fc5dab032240369d7b3ac3

diff --git a/dev-python/flexmock/flexmock-0.10.2.ebuild 
b/dev-python/flexmock/flexmock-0.10.2.ebuild
new file mode 100644
index 00000000000..21a1616d30e
--- /dev/null
+++ b/dev-python/flexmock/flexmock-0.10.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Testing library to create mocks, stubs and fakes"
+HOMEPAGE="http://flexmock.readthedocs.org/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+DEPEND="
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )
+       "
+RDEPEND=""
+
+python_install_all() {
+       distutils-r1_python_install_all
+       dodoc -r  docs
+}
+
+python_test() {
+       pytest -vv tests || die "pytest failed"
+}

diff --git a/dev-python/flexmock/metadata.xml b/dev-python/flexmock/metadata.xml
new file mode 100644
index 00000000000..b15f95a46db
--- /dev/null
+++ b/dev-python/flexmock/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Nelo-Thara Wallus</name>
+       </maintainer>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Lars Wendler</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="github">bkabrda/flexmock</remote-id>
+               <remote-id type="pypi">flexmock</remote-id>
+       </upstream>
+</pkgmetadata>

Reply via email to